﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml" xmlns:viewmodels="clr-namespace:TimeTracker.Apps.ViewModels" x:DataType="viewmodels:SubscribePageViewModel"
             x:Class="TimeTracker.Apps.SubscribePage"
             Title="Inscription">
                 
    <StackLayout BackgroundColor="Transparent">
        <Grid>
            <StackLayout Padding="0" Margin="0" HorizontalOptions="FillAndExpand">
                <Frame HeightRequest="150" BackgroundColor="CadetBlue" Padding="0" Margin="0"></Frame>
            </StackLayout>
            <StackLayout Padding="0" Margin="10,100,10,0" HorizontalOptions="FillAndExpand">
                <Frame  BackgroundColor="White" HeightRequest="500" HasShadow="True" Padding="0" Margin="0">

                    <StackLayout>


                        <StackLayout Margin="10">
                            <Label Text="INSCRIPTION" TextColor="CadetBlue" FontSize="20" HorizontalOptions="CenterAndExpand" FontAttributes="Bold"/>
                        </StackLayout>

                        <StackLayout Padding="0" Margin="20,15">
                            
                            <Frame BackgroundColor="Transparent" BorderColor="DarkGray" Padding="0" HorizontalOptions="FillAndExpand" CornerRadius="30">
                                
                                <StackLayout Orientation="Vertical" Margin="5">
                                    <Entry x:Name="Firstname" Text="{Binding FirstName}" Placeholder="Prénom" ClearButtonVisibility="WhileEditing"></Entry>
                                </StackLayout>
                              
                            </Frame>
                           
                           

                            <Frame BackgroundColor="Transparent" BorderColor="DarkGray"  Padding="0" HorizontalOptions="FillAndExpand" CornerRadius="30">
                                <StackLayout Orientation="Vertical" Margin="5">
                                    <Entry x:Name="Lastname" Text="{Binding LastName}" Placeholder="Nom" ClearButtonVisibility="WhileEditing">
                                        
                                    </Entry>
                                </StackLayout>
                            </Frame>
                            

                            <Frame BackgroundColor="Transparent" BorderColor="DarkGray" Padding="0" HorizontalOptions="FillAndExpand" CornerRadius="30">
                                
                                <StackLayout Orientation="Vertical" Margin="5">
                                    <Entry x:Name="Email" Text="{Binding Email}" Placeholder="Email" Keyboard="Email" ClearButtonVisibility="WhileEditing">
                                    </Entry>
                                </StackLayout>
                              
                            </Frame>
                           
                            

                            <Frame BackgroundColor="Transparent" BorderColor="DarkGray" Padding="0" HorizontalOptions="FillAndExpand" CornerRadius="30">
                                
                                <StackLayout Orientation="Vertical" Margin="5">
                                    <Entry x:Name="Password" Text="{Binding Password}" Placeholder="Mot de passe" IsPassword="True" ClearButtonVisibility="WhileEditing"></Entry>
                                </StackLayout>
                              
                            </Frame>
                           
                            <Label Padding="0"></Label>
                       
                            <Button Command="{Binding SubscribeCommand}" Text="S'inscrire" BackgroundColor="CadetBlue" TextColor="White" CornerRadius="30" FontSize="Medium"/>
                            <Button Command="{Binding LoginCommand}" Text="Se connecter" BackgroundColor="CadetBlue" TextColor="White" CornerRadius="30" FontSize="Medium"/>
                        </StackLayout>


                    </StackLayout>

                </Frame>
            </StackLayout>
        </Grid>
    </StackLayout>
</ContentPage>